{% extends 'base.html.twig' %}

{% block head_end %}
    <meta name="robots" content="noindex">
{% endblock %}

{% block body %}
    {% if error %}
        <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <form action="{{ path('admin_login') }}" method="post">
        <div class="mb-3">
            <label for="username" class="form-label">{{ 'login_page.username'|trans([], 'EasyAdminBundle')  }}</label>
            <input class="form-control" type="text" id="username" name="_username" value="{{ last_username }}"/>
        </div>
        <div class="mb-3">
            <label class="form-label" for="password">{{ 'login_page.password'|trans([], 'EasyAdminBundle')  }}</label>
            <input class="form-control" type="password" id="password" name="_password"/>
        </div>

        <input type="hidden" name="_target_path" value="/admin"/>
        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

        <button type="submit" class="btn btn-primary">{{ 'login_page.sign_in'|trans([], 'EasyAdminBundle')  }}</button>
    </form>
{% endblock %}